# OBJ.ENTRY - default entries
#
# obj/entry/__init__.py
#
# Copyright 2017,2018 B.H.J Thate
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is 
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice don't have to be included.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
# THE SOFTWARE.
#
# 06-04-2018 As the creator of this file, I disclaim all rights on this file. 
#
# Bart Thate
# Heerhugowaard
# The Netherlands

""" entry module. """

__version__ = 6

## imports 

from obj.base import Object

## classes

class Entry(Object):
    """ class used to save entry data. """
    pass

class Monday(Entry):
    """ items on monday. """
    pass

class Tuesday(Entry):
    """ items on tuesday. """
    pass

class Wednesday(Entry):
    """ items on wednesday. """
    pass
    
class Thursday(Entry):
    """ items on thursday. """
    pass

class Friday(Entry):
    """ items on friday. """
    pass
    
class Saturday(Entry):
    """ items on saturday. """
    pass
    
class Sunday(Entry):
    """ items on sunday. """
    pass

class Log(Entry):
    """ log text to an object. """
    pass

class Holiday(Entry):
    """ items to spend in the holiday. """
    pass

class House(Entry):
    """ items regarding house hold. """
    pass

class Shop(Entry):
    """ shopping item for the wife to shop. """
    pass

class Todo(Entry):
    """ todo entry """
    pass

class Tomorrow(Entry):
    """ todo for tomorrow to be done. """
    pass
